View source Improve this doc

# `$controllerProvider`
service in module `ng`

## Description

The `$controller service` is used by Angular to create new controllers.

This provider allows controller registration via the `register` method.

## Methods

- ### register(name, constructor)

  ##### Parameters

  Param | Type | Details
  --- | --- | ---
  name | string | Controller name
  constructor | Function Array | Controller constructor fn (optionally decorated with DI annotations in the array notation).